package com.yihu.wlyy.entity.follow;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 随访记录随访问题表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_followup_item_record_question")
public class FollowUpItemRecordQuestion extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 540101607077150029L;

	// 问题标识(关联wlyy_followup_plan_stage_item_question表的code)
	private String code;
	// 随访计划标识
	private String plan;
	// 随访计划阶段标识
	private String stage;
	// 随访计划阶段随访项标识
	private String item;
	// 随访记录标识
	private String record;
	// 问题标题
	private String title;
	// 问题类型：1单选，2多选，3问答
	private Integer type;
	// 体测指标类型：1血糖，2血压，3体重，4腰围
	private Integer index;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPlan() {
		return plan;
	}

	public void setPlan(String plan) {
		this.plan = plan;
	}

	public String getStage() {
		return stage;
	}

	public void setStage(String stage) {
		this.stage = stage;
	}

	public String getItem() {
		return item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public String getRecord() {
		return record;
	}

	public void setRecord(String record) {
		this.record = record;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name="tc_index")
	public Integer getIndex() {
		return index;
	}

	public void setIndex(Integer index) {
		this.index = index;
	}

	public FollowUpItemRecordQuestion() {
		super();
	}

	public FollowUpItemRecordQuestion(String item, Integer index) {
		super();
		this.item = item;
		this.index = index;
	}

}
